Package biotransformer.transformation

## Class MetabolicReaction

- java.lang.Object
- - biotransformer.transformation.MetabolicReaction

    public class MetabolicReaction
    extends java.lang.Object

The first reactantsSMARTS is the main one, for which indices might be retrieved to apply position-specific transformations. The subsequent SMARTS (negativeReactantsSMARTS) will be checked just to match further constraints. For instance, long-chain fatty acids must NOT match the pattern of very-long-chain fatty acids. This combination of SMARTS patterns could be replaced in favor of MARKUSH formats. Because we are using CDK, we rather stick up the the combination of SMARTS

### Field Summary

Fields
`java.lang.String` `commonName`
`java.lang.String` `name`
`java.lang.String` `reactionsBTMRID`

### Constructor Summary

Constructors
`MetabolicReaction​(MRPatterns.ReactionName r_name)`
`MetabolicReaction​(MRPatterns.ReactionName r_name, ambit2.smarts.SMIRKSManager smrkMan)`
`MetabolicReaction​(MRPatterns.ReactionName r_name, java.lang.String commmonName, java.lang.String reactionsBTMRID, java.lang.String reactionSMIRKS, java.util.ArrayList<java.lang.String> reactantsSMARTS, java.util.ArrayList<java.lang.String> negativeReactantsSMARTS, ambit2.smarts.SMIRKSManager smrkMan)`
`MetabolicReaction​(MRPatterns.ReactionName r_name, java.lang.String commmonName, java.lang.String reactionSMIRKS, java.util.ArrayList<java.lang.String> reactantsSMARTS, java.util.ArrayList<java.lang.String> negativeReactantsSMARTS, ambit2.smarts.SMIRKSManager smrkMan)`
`MetabolicReaction​(MRPatterns.ReactionName r_name, java.lang.String reactionSMIRKS, java.util.ArrayList<java.lang.String> reactantsSMARTS, java.util.ArrayList<java.lang.String> negativeReactantsSMARTS, ambit2.smarts.SMIRKSManager smrkMan)`
`MetabolicReaction​(java.lang.String smirks)`
`MetabolicReaction​(java.lang.String smirks, ambit2.smarts.SMIRKSManager smrkMan)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `display()`
`java.lang.String` `getBTRMID()`
`java.lang.String` `getComonName()`
`java.util.ArrayList<java.lang.String>` `getNegativeReactantsSMARTS()`
`java.util.ArrayList<java.lang.String>` `getReactantSMARTS()`
`java.lang.String` `getReactionEquation()`
`java.lang.String` `getReactionName()`
`java.lang.String` `getReactionSMIRKS()`
`ambit2.smarts.SMIRKSReaction` `getSmirksReaction()`
`static void` `main​(java.lang.String[] args)`
`void` `setReactionEquation​(java.lang.String rEquation)`
`java.lang.String` `transformationDataToString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

#### commonName

    public java.lang.String commonName

#### reactionsBTMRID

    public java.lang.String reactionsBTMRID

### Constructor Detail

#### MetabolicReaction

    public MetabolicReaction​(MRPatterns.ReactionName r_name)

#### MetabolicReaction

    public MetabolicReaction​(MRPatterns.ReactionName r_name,
                             java.lang.String commmonName,
                             java.lang.String reactionsBTMRID,
                             java.lang.String reactionSMIRKS,
                             java.util.ArrayList<java.lang.String> reactantsSMARTS,
                             java.util.ArrayList<java.lang.String> negativeReactantsSMARTS,
                             ambit2.smarts.SMIRKSManager smrkMan)

#### MetabolicReaction

    public MetabolicReaction​(MRPatterns.ReactionName r_name,
                             java.lang.String commmonName,
                             java.lang.String reactionSMIRKS,
                             java.util.ArrayList<java.lang.String> reactantsSMARTS,
                             java.util.ArrayList<java.lang.String> negativeReactantsSMARTS,
                             ambit2.smarts.SMIRKSManager smrkMan)

#### MetabolicReaction

    public MetabolicReaction​(MRPatterns.ReactionName r_name,
                             java.lang.String reactionSMIRKS,
                             java.util.ArrayList<java.lang.String> reactantsSMARTS,
                             java.util.ArrayList<java.lang.String> negativeReactantsSMARTS,
                             ambit2.smarts.SMIRKSManager smrkMan)

#### MetabolicReaction

    public MetabolicReaction​(java.lang.String smirks)

#### MetabolicReaction

    public MetabolicReaction​(MRPatterns.ReactionName r_name,
                             ambit2.smarts.SMIRKSManager smrkMan)

#### MetabolicReaction

    public MetabolicReaction​(java.lang.String smirks,
                             ambit2.smarts.SMIRKSManager smrkMan)

### Method Detail

#### main

    public static void main​(java.lang.String[] args)

#### getReactantSMARTS

    public java.util.ArrayList<java.lang.String> getReactantSMARTS()

#### getNegativeReactantsSMARTS

    public java.util.ArrayList<java.lang.String> getNegativeReactantsSMARTS()

#### getBTRMID

    public java.lang.String getBTRMID()

#### getComonName

    public java.lang.String getComonName()

#### getReactionSMIRKS

    public java.lang.String getReactionSMIRKS()

#### getSmirksReaction

    public ambit2.smarts.SMIRKSReaction getSmirksReaction()

#### getReactionName

    public java.lang.String getReactionName()

#### getReactionEquation

    public java.lang.String getReactionEquation()

#### setReactionEquation

    public void setReactionEquation​(java.lang.String rEquation)

#### transformationDataToString

    public java.lang.String transformationDataToString()

#### display

    public void display()